#ifndef CLASS_UNIT
#define CLASS_UNIT

#include "Exception.h"
#include "FactionElement.h"
#include "MovableElement.h"

/// an unit (like a mech or a tank)
class Unit : public FactionElement, public MovableElement
{
	private:

	public:
		/// Constructor
		Unit(int r, int c, std::vector < graphic::Image * > images,
			 std::vector <Component *> components) :
			Element(r, c, images, components),
			FactionElement(r, c, images) {  _type = "unit"; }

		/// Destroyer
		~Unit() { };
};

#endif
